// Generated by CoffeeScript 1.6.2
/*
The nesh command, which parses options and then drops the user
into an interactive session.
*/


(function() {
  var argv, nesh, optimist, opts;

  nesh = require('./nesh');

  optimist = require('optimist').usage('$0 [options]').options('c', {
    describe: 'Load CoffeeScript; shortcut for -l coffee',
    boolean: true
  }).options('h', {
    alias: 'help',
    describe: 'Show help and exit',
    boolean: true
  }).options('l', {
    alias: 'lang',
    describe: 'Set language',
    "default": 'js',
    string: true
  }).options('p', {
    alias: 'prompt',
    describe: 'Set prompt string',
    string: true
  }).options('v', {
    alias: 'version',
    describe: 'Show version and exit',
    boolean: true
  }).options('w', {
    alias: 'welcome',
    describe: 'Set welcome message',
    string: true
  });

  argv = optimist.argv;

  if (argv.h) {
    optimist.showHelp();
    return;
  }

  if (argv.v) {
    console.log("nesh version " + nesh.version);
    return;
  }

  if (argv.c) {
    argv.lang = 'coffee';
  }

  if (argv.lang !== 'js') {
    nesh.loadLanguage(argv.lang);
  }

  opts = {};

  if (argv.prompt != null) {
    opts.prompt = argv.prompt;
  }

  if (argv.welcome != null) {
    opts.welcome = argv.welcome;
  }

  nesh.loadPlugin(require('./plugins/builtins'), function(err) {
    if (err) {
      return console.log(err);
    }
    return nesh.start(opts, function(err) {
      if (err) {
        return console.error(err);
      }
    });
  });

}).call(this);

/*
//@ sourceMappingURL=command.map
*/
